### A free/open-source library for quantitative finance

Public Member Functions
TwoFactorModel::ShortRateTree Class Reference

Recombining two-dimensional tree discretizing the state variable. More...

`#include <ql/models/shortrate/twofactormodel.hpp>`

Inheritance diagram for TwoFactorModel::ShortRateTree:
[legend]

List of all members.

## Public Member Functions

| ShortRateTree (const boost::shared_ptr< TrinomialTree > &tree1, const boost::shared_ptr< TrinomialTree > &tree2, const boost::shared_ptr< ShortRateDynamics > &dynamics)
| Plain tree build-up from short-rate dynamics.
DiscountFactor | discount (Size i, Size index) const

## Detailed Description

Recombining two-dimensional tree discretizing the state variable.